<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** ホーム・トップスクロール *****/
function haup_home_top_scroll_button_vstyle_init(){
//位置の計算方法
	if(isset( GetOP06_addcontent()['home-top-button-align'] )){
		$posi_select = GetOP06_addcontent()['home-top-button-align'];
	}else{
		$posi_select = '';
	}

	if(empty($posi_select) || $posi_select == '1'){
		$position = '.side-button-wrapper.is_flow{right: 15px;}';
	}
	
	if($posi_select == '2'){
		$position = '
		@media screen and (max-width: 1365px) {
.side-button-wrapper.is_flow{
	right: calc( (100vw - var(--wp--style--global--wide-size)) / 2);
}
}

@media only screen and (min-width: 1366px) and (max-width: 1439px) {
.side-button-wrapper.is_flow{
	right: calc( (100vw - var(--wp--style--global--wide-size)) / 2 - 4rem);
}
}

@media only screen and (min-width: 1440px) {
.side-button-wrapper.is_flow{
	right: calc( (100vw - var(--wp--style--global--wide-size)) / 2 - 4rem);
}
}
';
}

//スタイルコードをまとめる
$custom_css_pre = hau_sanitize_css('
/* HAUP Home Top Scroll */
'.$position.'
');

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

//インラインで出力
	if(!haup_is_mobile()){
	wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );
	}
}
add_action('wp_enqueue_scripts','haup_home_top_scroll_button_vstyle_init');

/***** リンクカード *****/
/*** カード幅を広げる ***/
/* フロント用 */
/* 20230812 幅の調整コードを変更してみた */
function haup_card_width_expanded_call_front(){
$custom_css_pre = '
/* HAUP Link Card Width Expand */
.wp-embedded-content{
	width:100%;
}
';

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );//インラインでCSS出力

if(is_admin()){
	wp_add_inline_style( 'wp-edit-blocks', $custom_css );
}

}
if(isset( GetOP03_blockoption()['fit-card-content-width'] ) && GetOP03_blockoption()['fit-card-content-width'] == 1 ){
add_action('wp_enqueue_scripts','haup_card_width_expanded_call_front');
add_action( 'init', 'haup_card_width_expanded_call_front');
}

/* 編集画面の崩れを防ぐ */
function haup_block_pattern_list_style_control(){
$custom_css_pre = '
/* HAUP Block Pattern List Style */
.block-editor-block-patterns-list__item {
    height: auto;
}
.css-1n451hs{
	height:auto!important;
}
';

	if(isset( GetOP03_blockoption()['fit-card-content-width'] ) && GetOP03_blockoption()['fit-card-content-width'] == 1 ){
		//スタイルコードを改行なしで整形する
		$custom_css = str_replace(PHP_EOL, '', $custom_css_pre);

		if(is_admin()){
			wp_add_inline_style('wp-edit-blocks', $custom_css );
		}
	}
}
add_action('init','haup_block_pattern_list_style_control');

/***** OGP リンクカード（モバイル用） *****/
function haup_ogp_linkcard_style_init(){
//スタイルコードをまとめる
$custom_css_pre =hau_sanitize_css('
/* HAUP OGP Link Card */
.ha-ogp-blogcard {
	padding:25px;
	background: #fff;
	border: 1px solid #dcdcde;
	box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
	overflow: auto;
	zoom: 1;
}

.ogp-bcard-description p,
.ogp-bcard-sitename{
	margin-top: 0px;
	font-size: 14px;
	font-weight: 400;
	line-height: 1.5;
	color: #57585C;
}

.ha-ogp-blogcard a {
	text-decoration: none;
}

p.ogp-bcard-title {
	margin: 0 0 15px;
	font-weight: 600;
	font-size: 22px;
	line-height: 1.3;
}

.ogp-bcard-content {
	display: block;
	margin-bottom:20px;
}

.ogp-bcard-thumbnail img {
	width: 100%;
	max-width: 100%;
	height: auto;
	min-height: 100px;
	object-fit:cover;
}
');

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

//インラインで出力
if(haup_is_mobile()){
	wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );
}
}
add_action('wp_enqueue_scripts','haup_ogp_linkcard_style_init');

/*** REST APIで複数サイトの投稿をまとめて表示（シンプル）　モバイル上書き用 ***/
function haup_rest_api_latest_posts_simple_style_init(){
$custom_css_pre = hau_sanitize_css('
/* HAUP REST API Post List Simple For Mobile */
ul.haup-mapi-simple-list-wrapper {
	list-style: none;
	padding-left: 0;
}

ul.haup-mapi-simple-list-wrapper li {
	padding: 12px;
	border: 1px solid #eee;
	border-radius: 4px;
	margin-bottom:12px;
}

.haup-mapi-simple-list-inner{
	width: 100%;
}

.haup-mapi-simple-list-content{
	width: 100%;
}

.haup-mapi-simple-list-title{
	font-size: var(--wp--preset--font-size--large);
	font-weight:600;
}

.haup-mapi-simple-list-date{
	font-size: var(--wp--preset--font-size--small);
	text-align:right;
	margin-top: 0.5rem;
}

.haup-mapi-simple-list-title a,
.haup-mapi-simple-list-description a,
.haup-mapi-simple-list-date a
{
	text-decoration:none;
}
');

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

//インラインで出力
	if(haup_is_mobile()){
		wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );
	}
}
add_action('wp_enqueue_scripts','haup_rest_api_latest_posts_simple_style_init');

/*** REST APIで投稿をまとめて表示（カード）　モバイル上書き用 ***/
function haup_api_post_list_card_sc_style_inline_init(){
$custom_css_pre = hau_sanitize_css("
/* HAUP API Link List Card Style for Mobile */
.ha-api-list-card-wrapper a {
	text-decoration: none;
}

.ha-api-list-card-inner,
.ha-api-list-card-inner-large
{
	padding: 8px;
	border: 1px solid #eee;
	margin: 10px 0px;
}

.ha-api-list-card-content h3 {
	font-size: var(--wp--preset--font-size--large);
	font-weight: bold;
	margin: 8px 0px;
}

p.ha-api-list-card-date {
	font-size: var(--wp--preset--font-size--small);
	text-align: right;
}

.ha-api-list-card-fimage img,
.ha-api-list-card-inner-large img {
	width: 100%;
	height: auto;
	object-fit:cover;
}
");

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);

//インラインで出力
//ショートコードがある場合に出力
$content = do_blocks(get_post_field('post_content')); // 投稿または固定ページの内容を取得
$shortcode = 'ha-apipostlist-card'; // 存在を確認したいショートコードの名前

//if (!is_admin() && has_shortcode($content, $shortcode)) {
if(haup_is_mobile()){
	wp_add_inline_style( 'haup-front-and-blocks-style', $custom_css );
}
//}
}
add_action('wp_enqueue_scripts','haup_api_post_list_card_sc_style_inline_init');